#include <iostream>
#include <set>

using namespace std;

set<int> s;

int main(void) {
  int n;
  cin >> n;

  for (int i=0; i<n; i++) {
    double a;
    cin >> a;
    int a_i = (int) (a*1000.0+0.5);
    if (s.count(a_i)>0) {cout << "Error" << a << endl; return 1;}
    s.insert(a_i);

    double b;
    cin >> b;
    int b_i = (int) (b*1000.0+0.5);
    if (s.count(b_i)>0) {cout << "Error" << b << endl; return 1;}
    s.insert(b_i);

  }

  return 0;
}